%define name gtkglarea
%define version 1.2.3
%define release %mkrel 11

%define major 5
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d


Summary:	OpenGL widget for GTK+ 1.2
Name:		%{name}
Version:	%{version}
Release: 	%{release}
License:	LGPL
Group:		System/Libraries

Source0:	%{name}-%{version}.tar.bz2
Patch0:		gtkglarea-1.2.3-fix-underquoted-calls.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
BuildRequires:	mesaglu-devel
BuildRequires:	gtk+-devel

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawingArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

%package -n	%{libname}
Summary:        OpenGL widget for GTK+ GUI toolkit
Group:          System/Libraries
Provides:	%{name}
Obsoletes:	%{name} = %{version}-%{release}

%description -n	%{libname}
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

%package -n	%{develname}
Summary:	Development libraries for GtkGLArea
Group:		Development/GNOME and GTK+
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	lib%{name}-devel
Obsoletes:	%{mklibname gtkglarea 5 -d}

%description -n	%{develname}
Libraries and includes files you can use for GtkGLArea development.

%prep
%setup -q
%patch0 -p1 -b .underquoted

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc docs/*.txt
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/aclocal/*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-11mdv2008.1
+ Revision: 170878
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.com> 1.2.3-10mdv2008.0
+ Revision: 54351
- rebuild for 2008
- ew, don't symlink to a different major!
- bunzip2 patch
- new devel policy
- Import gtkglarea



* Thu Jun 08 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.3-9mdv2007.0
- fix buildrequires
- add missing %%build section
- fix underquoted calls (P0)

* Tue Dec 27 2005 Lenny Cartier <lenny@mandriva.com> 1.2.3-8mdk
- rebuild

* Fri Aug 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-7mdk
- rebuild

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.2.3-6mdk
- rebuild

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-5mdk
- fix files list

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-4mdk
- BuildRequires

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-3mdk
- Rebuild with latest gcc3.1
- Sanitize specfile (silentify %%setup)
- BuildRequires: Mesa-devel. Where is Mesa-common-devel gone?

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-2mdk
- remove empty doc file

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- new version

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-10mdk
- BuildRequires: gtk+-devel

* Sat Jul 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-9mdk
- rebuild

* Sun May 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-8mdk
- have Provides more suitable to lib policy
- fix problems reported by rpmlint

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-7mdk
- fix provides & obsoletes

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-6mdk
- split

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-5mdk
- BuildRequires: Mesa-common-devel

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-4mdk
- rebuild for gcc-2.96

* Thu Jul 27 2000 Pixel <pixel@mandrakesoft.com> 1.2.2-3mdk
- remove duplicate lib in gtkglarea and gtkglarea-devel + cleanup, BM

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- add ldconfig in devel post

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- clean specfile
- v1.2.2

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
 - rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
   of libMesa*.so stuff)
    
* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.2.1
	 
* Tue Feb 09 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
 - First try at an RPM  
